Subject: Re: bug#56682: feature/improved-locked-narrowing 9dee6df39c: Reworked locked narrowing.

From: Juri Linkov <[email-masked]>
Date: Thu, 09 Feb 2023 19:57:31 +0200

>>> A function/macro to check that could indeed be added, its body would be:
>>> 
>>> (save-restriction (widen) (buffer-narrowed-p))
>>
>> We should add it and document it, but I'm surprised that there's no
>> easier way.  One problem with the above is that it could cause a more
>> thorough redisplay because it fiddles with buffer restrictions.
>
> Seeing how `buffer-narrowed-p` is not used very often, I'm not
> too worried.  Even more so given that the redisplay does try to notice
> when the restriction has been modified temporarily but "reset" to its
> original value since then.

It caused a problem in easy-mmode-define-navigation reported in bug#61215.